/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/


     /* Panels and Controls: */

#define  BCKGRND                         1

#define  CONFIG                          2
#define  CONFIG_QUIT                     2       /* callback function: quitApplication */
#define  CONFIG_CONFIGURE                3       /* callback function: configInstrument */
#define  CONFIG_CARR_FREQ                4       /* callback function: controlHelp */
#define  CONFIG_CARR_LEVEL               5       /* callback function: controlHelp */
#define  CONFIG_DEPTH                    6       /* callback function: controlHelp */
#define  CONFIG_LF_FREQ                  7       /* callback function: controlHelp */
#define  CONFIG_LF_SOURCE                8       /* callback function: controlHelp */
#define  CONFIG_LF_SHAPE                 9       /* callback function: controlHelp */
#define  CONFIG_TEXTMSG1                 10
#define  CONFIG_TEXTMSG_2                11

#define  INIT                            3
#define  INIT_QUIT                       2       /* callback function: quitApplication */
#define  INIT_CONTINUE                   3       /* callback function: initInstrument */
#define  INIT_ADDRESS                    4       /* callback function: controlHelp */
#define  INIT_ID                         5       /* callback function: controlHelp */
#define  INIT_RST                        6       /* callback function: controlHelp */


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  configInstrument(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  controlHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  initInstrument(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void panelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  quitApplication(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);

